/*
  LU Decomposion
*/
void LUDecomp(double**,int);
/*
  LU Solve
*/
void LUSolve(double**,double*,double*,int);
/**************************
  allocate matrix  (R)
**************************/
double** matrixR(int,int);
/**************************
  delete matrix    (R) 
**************************/
void free_matrixR(double**);
/**************************
  allocate matrix  (I)
**************************/
int** matrixI(int,int);
/**************************
  delete matrix  (I)
**************************/
void free_matrixI(int**);
/**************************
  allocate vector (R)
**************************/
double* vectorR(int);
/**************************
  delete vector (R)
**************************/
void free_vectorR(double*);
/**************************
  allocate vector (I)
**************************/
int* vectorI(int);
/**************************
  delete vector (I)
**************************/
void free_vectorI(int*);
